OpenNMS::Release::LocalPackage(3pm)

NAME
OpenNMS::Release::LocalPackage - Perl extension for manipulating packages

SYNOPSIS
  use OpenNMS::Release::LocalPackage;

  my $package = OpenNMS::Release::LocalPackage->new("path/to/foo");
  if ($package->is_in_repo("path/to")) {
    print "all good!"
  }

DESCRIPTION
This is just a perl module for manipulating packages, including version comparisons, path comparisons, and other miscellaneous things.

CONSTRUCTOR
OpenNMS::Release::LocalPackage->new($path, $name, $version, [$arch])

Given a path to a package file, name, OpenNMS::Release::Version, and optional architecture, create a new OpenNMS::Release::LocalPackage object.

The file must be absolute, and must exist.

AUTHOR
Benjamin Reed, <ranger@opennms.org> Matt Brozowski, <brozow@opennms.org>

COPYRIGHT AND LICENSE
Copyright (C) 2012 by The OpenNMS Group, Inc.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.8 or, at your option, any later version of Perl 5 you may have available.